<template>
  <PageWrapper
    :title="$t('header.menu.title')"
    @close="close"
    @back="back">
    <div class="header_menu">
      <div class="header_menu-lang flex flex-middle flex-center">
        <div
          class="header_menu-lang-item flex flex_column"
          v-for="(lang, key) in languages"
          :key="key"
          @click="changeLanguage(lang)">
          <img
            class="header_menu-lang-img"
            :class="{active: active===lang.value}"
            :src="lang.icon"
            alt="">
          <span>{{lang.label}}</span>
        </div>
      </div>
      <div class="header_menu-items">
        <Btn
          style="width: 240px;"
          class="mb-10"
          v-for="(item, key) in pages"
          :key="key"
          color="#FFFFFF"
          @click="show(item)">
          {{item.label}}
          <template slot="img">
            <img
              class="icon_align-right"
              :src="item.icon"
              alt="">
          </template>
        </Btn>
      </div>
      <Authorization></Authorization>
    </div>
  </PageWrapper>
</template>

<script>
  import Btn from '~/components/UI/BtnSign_dark';
  import Authorization from '~/components/common/header/TheDialog_Authorization';
  import PageWrapper from '~/components/common/pageWrapper';

  export default {
    name: "TheMenu",
    data() {
      return {
        active: 'eng'
      }
    },
    components: {
      Btn,
      Authorization,
      PageWrapper
    },
    computed: {
      languages() {
        return [{
          icon: './lang/eng.png',
          label: this.$t('header.lang.en'),
          value: 'en-EN'
        }, {
          icon: './lang/ch.png',
          label: this.$t('header.lang.ch'),
          value: 'ch-CH'
        }, {
          icon: './lang/esp.png',
          label: this.$t('header.lang.esp'),
          value: 'es-ES'
        }, {
          icon: './lang/rus.png',
          label: this.$t('header.lang.ru'),
          value: 'ru-RU'
        }];
      },
      pages() {
        return [{
          label: this.$t('header.menu.profile'),
          action: 'Profile',
          ga: 'prof',
          icon: './icons-menu/person.svg'
        }, {
          label: this.$t('header.menu.gamestats'),
          action: 'Game Stats',
          ga: 'gstats',
          icon: './icons-menu/bar-stat.svg'
        }, {
          label: this.$t('header.menu.champions'),
          action: 'Champions',
          ga: 'champions',
          icon: './icons-menu/star.svg'
        }, {
          label: this.$t('header.menu.commissions'),
          action: 'Commissions',
          ga: 'com',
          icon: './icons-menu/pie-chart.svg'
        }, {
          label: this.$t('header.menu.promo'),
          action: 'Promo materials',
          ga: 'pro',
          icon: './icons-menu/bullhorn.svg'
        }];
      }
    },
    methods: {
      close() {
        this.$emit('close');
      },
      back() {
        this.$emit('back');
      },
      show({action, ga}) {
        this.ga(ga, true);
        switch (action) {
          case 'Logout': {
            this.logout();
            return;
          }
        }
        this.$emit('changePage', action);
      },
      logout() {
        this.$store.dispatch('user/logout');
        this.close();
      },
      changeLanguage(lang) {
        this.active = lang.value;
        this.ga(lang.value);
        this.$store.commit('common/SET_LANGUAGE', lang.value);
        this.$i18n.locale = lang.value;
      },
    },
    mounted() {
      this.active = this.$store.state.common.locale;
    }
  }
</script>
